/*
*   \file
*   \remarks Black Box API Prototypes
*   \author Pavel Haber
*
*   WMDRM Service Package, Type Definitions, Black Box
*
*   Copyright (C) 2007 by Discretix Technologies Ltd.
*           All rights reserved.
*
*/

#ifndef SECURECLOCK_TST_API_H
#define SECURECLOCK_TST_API_H

DRM_RESULT SCLK_PreTestCase(long lTCID, char *strTCName);
DRM_RESULT SCLK_PostTestCase(long lTCID, char *strTCName);

#if DRM_SUPPORT_SECURE_CLOCK
DRM_RESULT Test_API_MGR_Initialize(long argc, char **argv);
DRM_RESULT Test_SetSecureClock(long argc, char **argv);
DRM_RESULT Test_API_MGR_ClkGenerateChallenge(long argc, char **argv);
DRM_RESULT Test_SetChallengeState(long argc, char **argv);
DRM_RESULT Test_API_MGR_ClkProcessResponse(long argc, char **argv);
DRM_RESULT Test_ChangeClock(long argc, char **argv);
DRM_RESULT Test_API_MGR_GetSecureClock(long argc, char **argv);
#endif

#endif

